Coins List with Market Data
curl --request GET \
--url https://api.coingecko.com/api/v3/coins/markets \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "bitcoin",
"symbol": "btc",
"name": "Bitcoin",
"image": "https://coin-images.coingecko.com/coins/images/1/large/bitcoin.png?1696501400",
"current_price": 77671,
"market_cap": 1555886872303,
"market_cap_rank": 1,
"fully_diluted_valuation": 1555914058873,
"total_volume": 33235034316,
"high_24h": 78419,
"low_24h": 76696,
"price_change_24h": -747.3360347281705,
"price_change_percentage_24h": -0.95302,
"market_cap_change_24h": -15184401491.513184,
"market_cap_change_percentage_24h": -0.9665,
"circulating_supply": 20030493,
"total_supply": 20030843,
"max_supply": 21000000,
"ath": 126080,
"ath_change_percentage": -38.39571,
"ath_date": "2025-10-06T18:57:42.558Z",
"atl": 67.81,
"atl_change_percentage": 114443.23093,
"atl_date": "2013-07-06T00:00:00.000Z",
"roi": null,
"last_updated": "2026-05-18T12:49:21.599Z",
"market_cap_rank_with_rehypothecated": 1,
"sparkline_in_7d": {
"price": [
81045.84776489827,
81001.73089268175,
80898.20817826076
]
},
"price_change_percentage_1h_in_currency": 0.5823392426906319,
"price_change_percentage_24h_in_currency": -0.9530164743774191,
"price_change_percentage_7d_in_currency": -4.042267423689584,
"price_change_percentage_14d_in_currency": -1.5720857443461431,
"price_change_percentage_30d_in_currency": 1.9453890367549207,
"price_change_percentage_200d_in_currency": -29.452371850925864,
"price_change_percentage_1y_in_currency": -25.214612207475373
}
]Coins List with Market Data
To query all the supported coins with price, market cap, volume and market related data
GET
/
coins
/
markets
Coins List with Market Data
curl --request GET \
--url https://api.coingecko.com/api/v3/coins/markets \
--header 'x-cg-demo-api-key: <api-key>'[
{
"id": "bitcoin",
"symbol": "btc",
"name": "Bitcoin",
"image": "https://coin-images.coingecko.com/coins/images/1/large/bitcoin.png?1696501400",
"current_price": 77671,
"market_cap": 1555886872303,
"market_cap_rank": 1,
"fully_diluted_valuation": 1555914058873,
"total_volume": 33235034316,
"high_24h": 78419,
"low_24h": 76696,
"price_change_24h": -747.3360347281705,
"price_change_percentage_24h": -0.95302,
"market_cap_change_24h": -15184401491.513184,
"market_cap_change_percentage_24h": -0.9665,
"circulating_supply": 20030493,
"total_supply": 20030843,
"max_supply": 21000000,
"ath": 126080,
"ath_change_percentage": -38.39571,
"ath_date": "2025-10-06T18:57:42.558Z",
"atl": 67.81,
"atl_change_percentage": 114443.23093,
"atl_date": "2013-07-06T00:00:00.000Z",
"roi": null,
"last_updated": "2026-05-18T12:49:21.599Z",
"market_cap_rank_with_rehypothecated": 1,
"sparkline_in_7d": {
"price": [
81045.84776489827,
81001.73089268175,
80898.20817826076
]
},
"price_change_percentage_1h_in_currency": 0.5823392426906319,
"price_change_percentage_24h_in_currency": -0.9530164743774191,
"price_change_percentage_7d_in_currency": -4.042267423689584,
"price_change_percentage_14d_in_currency": -1.5720857443461431,
"price_change_percentage_30d_in_currency": 1.9453890367549207,
"price_change_percentage_200d_in_currency": -29.452371850925864,
"price_change_percentage_1y_in_currency": -25.214612207475373
}
]Notes
- When multiple filters are provided, priority is:
category>ids>names>symbols. - URL-encode spaces in
names(e.g.Binance%20Coin). include_tokens=allonly works withsymbolslookups, limited to 50 symbols per request.- Maximum of 250 IDs per request. Wildcard searches are not supported.
- Use
per_pageandpageto paginate results.
Omit
ids, names and symbols to get the top coins by market cap.For example, /coins/markets?vs_currency=usd returns the top 100 (defaults: order=market_cap_desc, per_page=100, page=1).Filter by category using the
category param — refer to Coins Categories List for available values.SDK Examples
New to the SDK? Install and authenticate theclient first:TypeScript | Python
const response = await client.coins.markets.get({
vs_currency: 'usd',
});
console.log(JSON.stringify(response, null, 2));
response = client.coins.markets.get(
vs_currency="usd",
)
print(response)
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Target currency of coins and market data.
*refers to /simple/supported_vs_currencies
Coins' IDs, comma-separated if querying more than 1 coin.
*refers to /coins/list
Filter based on coins' category.
*refers to /coins/categories/list
Response
200 - application/json
List of coins with market data
Was this page helpful?

